Description

Dears,

first of all thanks a lot for all the effort!

We really appreciate "Issue custom fields permissions" possibility settings.

Could you please implement the same feature/approach for "Spent time custom fields"? I believe this could help a lot for many

redmine users and the approach/code could be reused.

We need to hide some custom fields for some users, could be also helpful if some would be mandatory during specific

stages/statuses of the issue with correlation to user's permissions, etc.

Do you understand our needs? Any questions please? Can I help you somehow with this?

Thanks a lot

Kind regards

jb

Related issues:

Is duplicate of Redmine - Feature #31859: Per role visibility settings for sp... Closed

History

#1 - 2017-05-30 18:48 - Toshi MARUYAMA

- Description updated

#2 - 2017-05-30 18:48 - Toshi MARUYAMA

- Category set to Custom fields

- Priority changed from High to Normal

#3 - 2018-02-04 22:16 - Jenda Benda

Dear Redmine team,

could you have a look at this request please?

Thanks a lot

j.

#4 - 2018-03-09 13:53 - Jordi Morato

Dear Redmine team,

Is any update related to this feature?

Thanks for all,

jmorato

#5 - 2019-05-14 22:06 - Jenda Benda

I hope you are all doing well... I'd like to kindly ask you if you could have a look at this request.

It would help a lot as we are facing this more and more as we have many users that should not be able to see or edit some/all custom fields at spent
time "module"...

I believe it would help many redmine users and admins.

Is it difficult change in the code?

Would it be difficult to achieve this by introducing permissions settings for spent time custom fields? Visibility/ability to update it rights settings and

assigment to user groups?

Even those custom fields that are not filled in could provide some information, just by being there and visible to everyone (e.g. lists...) that should not

be visible to anybody/everybody...

Thanks a lot for all your effort

Have a great day

Kind regards

J.

PS if it will help, I can promise somy donation for redmine team-) THX!!!

#6 - 2019-05-20 08:35 - Alexandr Chernyaev

+1

#7 - 2019-08-07 08:15 - Go MAEDA

- Is duplicate of Feature #31859: Per role visibility settings for spent time custom fields added

#8 - 2019-08-07 08:16 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

A patch was posted as #31859. Closing.

Powered by TCPDF (www.tcpdf.org)

2025-07-06 2/2

https://www.redmine.org/issues/31859
http://www.tcpdf.org

